## Image-Base-Gtk2-11.tar.gz

=== devel/Makefile ===
# Copyright 2010 Kevin Ryde

# This file is part of Image-Base-Gtk2.
#
# Image-Base-Gtk2 is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Image-Base-Gtk2 is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Image-Base-Gtk2.  If not, see <http://www.gnu.org/licenses/>.

misc: misc.c Makefile
	gcc -Wall -g `pkg-config --cflags glib-2.0 gtk+-2.0` misc.c \
	   `pkg-config --libs glib-2.0 gtk+-2.0` -o misc

=== debian/changelog ===
libimage-base-gtk2-perl (11-1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42@zip.com.au>  Thu, 02 Feb 2012 07:44:19 +1100

=== debian/control ===
# Copyright 2010, 2011 Kevin Ryde
#
# This file is part of Image-Base-Gtk2.
#
# Image-Base-Gtk2 is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Image-Base-Gtk2 is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Image-Base-Gtk2.  If not, see <http://www.gnu.org/licenses/>.

Source: libimage-base-gtk2-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42@zip.com.au>
Standards-Version: 3.9.2
Homepage: http://user42.tuxfamily.org/image-base-gtk2/index.html
Bugs: mailto:user42@zip.com.au

Package: libimage-base-gtk2-perl
Architecture: all
Depends: libimage-base-perl (>= 1.12), libgtk2-perl, ${perl:Depends}, ${misc:Depends}
Description: Draw into Gtk2 windows, pixmaps, pixbuf and images.
 An Image::Base extension to operate on Gtk2 windows
 (Gtk2::Gdk::Window), pixmaps (Gtk2::Gdk::Pixmap), pixbufs
 (Gtk2::Gdk::Pixbuf) and images (Gtk2::Gdk::Image).

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2010 Kevin Ryde

# This file is part of Image-Base-Gtk2.
#
# Image-Base-Gtk2 is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Image-Base-Gtk2 is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Image-Base-Gtk2.  If not, see <http://www.gnu.org/licenses/>.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2010 Kevin Ryde
#
# This file is part of Image-Base-Gtk2.
#
# Image-Base-Gtk2 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# Image-Base-Gtk2 is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Image-Base-Gtk2.  If not, see <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
http://user42.tuxfamily.org/image-base-gtk2/index.html \
	.*/Image-Base-Gtk2-([0-9]+)\.tar\.gz
